/**
 *
 * $Id: VkPrefOption.h,v 1.2 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the definition for preference
 * dialog option menus.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmer, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKPREFOPTION_H
#define VKPREFOPTION_H

#include <Vk/VkConfig.h>
#include <Vk/VkPrefItem.h>

class VkPrefOption : public VkPrefItem {
private:
    char **labels;
    Widget *buttons;
    char *labelString;
    int number_of_options;

    int value;
public:
    VkPrefOption(const char *name, int NumEntries);

    void setLabel(int index, const char *label);
    char *getLabel(int index);
    void setSize(int numEntries);
    int size();
    Widget getButton(int index);
    
    int getValue();
    void setValue();

    void _instantiate(Widget parent);
};

#endif // VKPREFOPTION_H
