/**
 *
 * VkBusyDialog.C
 *
 * This file contains the class implementation for the 
 * VkBusyDialog class.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkBusyDialog.C,v 1.4 1995/02/15 17:42:02 toshok Exp $";
#endif /* lint */

#include <Vk/VkBusyDialog.h>
#include <Vk/VkApp.h>
#include <string.h>
#include <iostream.h>

VkBusyDialog::VkBusyDialog(const char *name) : VkDialogManager(name)
{
  _dialogShellTitle = NULL;
  _okButton = False;
  _helpButton = False;
  _cancelButton = False;
}

Widget
VkBusyDialog::createDialog(Widget parent)
{
  Widget dialogBox = XmCreateWorkingDialog(parent,
					   (char*)_name,
					   NULL,0);

  return dialogBox;
}

const char *
VkBusyDialog::className()
{
  return "VkBusyDialog";
}

VkBusyDialog *_theBusyDialogManager = new VkBusyDialog("BusyDialogManager");
