/**
 *
 * This file contains the class implementation of the VkErrorDialog
 * class of dialog boxes.  It is basically a hack, since the programmer's
 * reference is rather vague on the internal mechanics of it all.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkErrorDialog.C,v 1.4 1995/04/10 01:48:32 toshok Exp $";
#endif /* lint */

#include <Vk/VkErrorDialog.h>
#include <iostream.h>

VkErrorDialog::VkErrorDialog(const char *name) : VkDialogManager(name)
{
  _dialogShellTitle = NULL;
  _okButton = True;
  _helpButton = False;
  _cancelButton = False;
}

Widget
VkErrorDialog::createDialog(Widget parent)
{
  Widget dialogBox = XmCreateErrorDialog(parent,
					 (char*)_name,
					 NULL,0);

  return dialogBox;
}

const char *
VkErrorDialog::className()
{
  return "VkErrorDialog";
}

VkErrorDialog *_theErrorDialogManager = new VkErrorDialog("ErrorDialogManager");


