/**
 *
 * VkFataErrorDialog.C
 *
 * This file contains the class implementation of the VkFatalErrorDialog
 * class of dialog boxes.  It is basically a hack, since the programmer's
 * reference is rather vague on the internal mechanics of it all.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkFatalErrorDialog.C,v 1.4 1995/02/15 18:22:05 toshok Exp $";
#endif /* lint */

#include <Vk/VkFatalErrorDialog.h>
#include <Vk/VkApp.h>
#include <iostream.h>

VkFatalErrorDialog::VkFatalErrorDialog(const char *name) : VkErrorDialog(name)
{
}

Widget
VkFatalErrorDialog::createDialog(Widget parent)
{
  return VkErrorDialog::createDialog(parent);
}

const char *
VkFatalErrorDialog::className()
{
  return "VkFatalErrorDialog";
}

void
VkFatalErrorDialog::ok(Widget, XtPointer)
{
    theApplication->terminate(1);
}

VkFatalErrorDialog *_theFatalErrorDialogManager = new VkFatalErrorDialog("FatalErrorDialogManager");
