/**
 *
 * VkMenuSeparator.C
 * 
 * This file contains the implementation for the class of
 * VkMenuSeparator.  This class makes it easy to add spiffy
 * separators to your menus. Enjoy.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/
  
#ifndef lint
static char rcsid[] = "$Id: VkMenuSeparator.C,v 1.1 1994/11/29 16:41:12 toshok Exp $";
#endif /* lint */

#include <Vk/VkMenuSeparator.h>

VkMenuSeparator::VkMenuSeparator(char *name) : VkMenuLabel (name)
{
  // empty for now.
}

Boolean
VkMenuSeparator::isContainer()
{
  return FALSE;
}

VkMenuItemType
VkMenuSeparator::menuType()
{
  return SEPARATOR;
}

void
VkMenuSeparator::_instantiate(Widget parent)
{
  _baseWidget = XmCreateSeparatorGadget(parent,
					(char *)name(),
					NULL,0);

  XtManageChild(baseWidget());

  instantiated = TRUE;
}

//void
//VkMenuSeparator::setLabel(const char *)
//{
//  // since separators don't have an associated label, don't worry about it
//}

const char *
VkMenuSeparator::className()
{
  return "VkMenuSeparator";
}
