/**
 *
 * VkMenuUndoManager.C
 *
 * This file contains the class implementation for
 * the undo manager.  The programmer registers 
 * actions with this manager, and the manager provides
 * the mechanism for the user of the program to undo
 * the action.
 *
 * Copyright (C) 1995
 * The Hungry Programmers, Inc.
 * All Rights Reserved
 *
 **/

#include <Xm/PushBG.h>
#include <Vk/VkMenuUndoManager.h>

VkMenuUndoManager::VkMenuUndoManager(char *name) : VkMenuAction(name)
{
}

void 
VkMenuUndoManager::_instantiate(Widget parent)
{
    _baseWidget = XmCreatePushButtonGadget(parent,
					   (char*)name(),
					   NULL,0);
    
    if (activated == False)
	XtSetSensitive(_baseWidget, False);
    
    instantiated = TRUE;
}

void
VkMenuUndoManager::add(const char *name,
		       XtCallbackProc undoCallback,
		       XtPointer clientData)
{
}

VkComponentList *
VkMenuUndoManager::historyList()
{
    return NULL;
}

void
VkMenuUndoManager::reset()
{
}

void
VkMenuUndoManager::multiLevel(Boolean flag)
{
}

void
VkMenuUndoManager::registerAction(VkAction*)
{
}

void
VkMenuUndoManager::registerAction(VkMenuAction*)
{
}


VkMenuUndoManager *_theMenuUndoManager = new VkMenuUndoManager("Undo");

