/**
 *
 * VkModel.C
 *
 * This file contains the class implementation for the 
 * abstract class of VkModel, which presents a more MVC
 * like smalltalk interface to c++ programmers.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc.
 * All Rights Reserved
 *
 **/

#include <Vk/VkModel.h>

VkModel::VkModel()
{
}

void
VkModel::updateViews(void *data)
{
    callCallbacks(VkModel::updateCallback, data);
}

VkModel::~VkModel()
{
}
