/**
 *
 * VkPrefText.h
 *
 * This file contains the class implementation for 
 * VkPrefText, the class which allows the programmer 
 * to define text field widgets in preference dialogs.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkPrefText.C,v 1.2 1995/01/23 10:07:46 toshok Exp $";
#endif /* lint */

#include <Vk/VkPrefText.h>

VkPrefText::VkPrefText(const char *name, 
		       int columns) : VkPrefItem(name)
{
    
}

void
VkPrefText::setValue(const char *str)
{

}

char *
VkPrefText::getValue()
{
}

VkPrefItem::VkPrefItemType 
VkPrefText::type()
{
    return PI_text;
}

Boolean
VkPrefText::isContainer()
{
    return False;
}

const char *
VkPrefText::className()
{
    return "VkPrefText";
}

void
VkPrefText::_instantiate(Widget parent)
{
    char *baseName = (char*)malloc(sizeof(char*)*(strlen(_name)+strlen("Base")+1));
    char *labelName = (char*)malloc(sizeof(char*)*(strlen(_name)+strlen("Label")+1));

    strcpy(baseName, _name);
    strcat(baseName, "Base");

    strcpy(labelName, _name);
    strcat(labelName, "Label");

    _baseWidget = XmCreateTextFiled(parent,
				    baseName,
				    NULL,0);

    XtManageChild(_baseWidget);
}
