/**
 *
 * VkPromptDialog.C
 *
 * This file contains the class implementation for the VkPromptDialog
 * class.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkPromptDialog.C,v 1.3 1995/02/15 17:42:12 toshok Exp $";
#endif /* lint */

#include <Vk/VkPromptDialog.h>
#include <string.h>
#include <iostream.h>

VkPromptDialog::VkPromptDialog(const char *name) : VkDialogManager(name)
{
  _dialogShellTitle = NULL;
  _okButton = True;
  _helpButton = False;
  _cancelButton = True;
}

Widget
VkPromptDialog::createDialog(Widget parent)
{
  Widget dialogBox = XmCreatePromptDialog(parent,
					  (char*)_name,
					  NULL,0);

  return dialogBox;
}

const char *
VkPromptDialog::className()
{
  return "VkPromptDialog";
}

VkPromptDialog *_thePromptDialogManager = new VkPromptDialog("PromptDialogManager");




