/**
 *
 * VkRadioBox.h
 *
 * This file contains the class implementation for
 * the VkRadioBox class, which is a subclass of
 * VkCheckBox that enforces radio behavior (one of
 * many) on it's toggle buttons.
 *
 * Copyright (C) 1994
 * The Hungry Programmers, Inc.
 * All Rights Reserved
 *
 **/

#include <Vk/VkRadioBox.h>

VkRadioBox::VkRadioBox(const char *name, 
                       Widget parent) : VkCheckBox (name, parent)
{
  /* This should be all... */

  XtVaSetValues(_rc, 
                XmNradioBehavior, True,
                NULL);
}

const char *
VkRadioBox::className()
{
  return "VkRadioBox";
}
