/**
 * 
 * VkResource.C
 *
 * This file contains the implementation of the non member function
 * VkGetResource.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkResource.C,v 1.1 1994/11/29 16:41:19 toshok Exp $";
#endif /* lint */

#include <Vk/VkResource.h>
#include <stdlib.h>
#include <iostream.h>

char *
VkGetResource(const char *name,
	      const char *className)
{
  return NULL;
}

XtPointer VkGetResource(Widget w,
			const char *name,
			const char *className,
			const char *desiredType,
			const char *defaultValue)
{
/*  XtResource res;
  XtPointer base;
  
  res.resource_name = strdup(name);
  res.resource_class = strdup(className);
  res.default_type = strdup(desiredType);
  res.default_addr = (XtPointer)defaultValue;
  
  XtGetSubresources(w, &base, (String)name, (String)className,
		    &res, 1, NULL,0);

  return base;*/

  char *result_type1 = (char*)calloc(100, sizeof(char));
  XrmValue result_value;

  if (!XrmGetResource(XtDatabase(XtDisplayOfObject(w)),
		      name,
		      className,
		      &result_type1,
		      &result_value)){
      return XtPointer(defaultValue);
  }
  else{
      XrmValue real_result;
      real_result.addr = NULL;

      if (!XtConvertAndStore(w,
			     (String)result_type1,
			     &result_value,
			     (String)desiredType,
			     &real_result)){
	  return XtPointer(defaultValue);
      }
      else
	  return (XtPointer)real_result.addr;
  }
}









