/**
 *
 * VkWarningDialog.C
 *
 * This file contains the class implementation of the VkWarningDialog
 * class of dialog boxes.  It is basically a hack, since the programmer's
 * reference is rather vague on the internal mechanics of it all.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkWarningDialog.C,v 1.4 1995/02/15 18:21:04 toshok Exp $";
#endif /* lint */

#include <Vk/VkWarningDialog.h>
#include <iostream.h>

VkWarningDialog::VkWarningDialog(const char *name) : VkDialogManager(name)
{
  _dialogShellTitle = NULL;
  _okButton = True;
  _helpButton = False;
  _cancelButton = True;
}

Widget
VkWarningDialog::createDialog(Widget parent)
{
  Widget dialogBox = XmCreateWarningDialog(parent,
					   (char*)_name,
					   NULL,0);

  return dialogBox;
}

const char *
VkWarningDialog::className()
{
  return "VkWarningDialog";
}

VkWarningDialog *_theWarningDialogManager = new VkWarningDialog("WarningDialogManager");

