/**
 *
 * $Id: VkPrefDialog.h,v 1.2 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the definition for the 
 * VkPrefDialog class, which implements a preference
 * dialog box, subclassed from VkGenericDialog.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKPREFDIALOG_H
#define VKPREFDIALOG_H

#include <Vk/VkConfig.h>
#include <Vk/VkGenericDialog.h>
#include <Vk/VkPrefItem.h>

class VkPrefDialog : public VkGenericDialog {
private:
    VkPrefItem *_item;

public:
    VkPrefDialog(const char *name, VkPrefItem *item = NULL);

    void setItem(VkPrefItem *item);
    
    VkPrefItem *item();

    static char prefCallback[];
};

static char VkPrefDialog::prefCallback[] = "VkPrefDialog::prefCallback";

#endif // VKPREFDIALOG_H

