/**
 *
 * $Id: VkPrefText.h,v 1.2 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the class definition for VkPrefText,
 * the class which allows the programmer to define 
 * text field widgets in preference dialogs.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKPREFTEXT_H
#define VKPREFTEXT_H

#include <Xm/TextF.h>
#include <Vk/VkConfig.h>
#include <Vk/VkPrefItem.h>

class VkPrefText : public VkPrefItem {
private:
    XmString value;

public:

    VkPrefText(const char *name, int columns = 5);
    char *getValue();
    void setValue(const char *str);
    
    VkPrefItemType type();
    Boolean isContainer();
    const char *className();
};
 
#endif // VKPREFTEXT_H
