/**
 *
 * VkAction.C
 *
 * This file contains the class implementation for the
 * VkAction class, which encapsulates the programmer's
 * interface to reversible commands.
 *
 * Copyright (C) 1994
 * The Hungry Programmers, Inc.
 * All Rights Reserved
 *
 **/

#include <Vk/VkAction.h>
#include <Vk/VkResource.h>
#include <string.h>

VkAction::VkAction(const char *name)
{
  _name = strdup(name);

  /* look up the labelString resource. */
}

void 
VkAction::execute()
{
  theUndoManager->registerAction(this);

  doit();
}
