/**
 *
 * VkInfoDialog.C
 *
 * This file contains the class implementation for the VkInfoDialog
 * class.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkInfoDialog.C,v 1.3 1995/02/15 17:42:10 toshok Exp $";
#endif /* lint */

#include <Vk/VkInfoDialog.h>
#include <Vk/VkApp.h>
#include <string.h>
#include <iostream.h>

VkInfoDialog::VkInfoDialog(const char *name) : VkDialogManager(name)
{
  _dialogShellTitle = NULL;
  _okButton = True;
  _helpButton = False;
  _cancelButton = False;
}

Widget
VkInfoDialog::createDialog(Widget parent)
{
  Widget dialogBox = XmCreateInformationDialog(parent,
						(char*)_name,
						NULL,0);

  return dialogBox;
}

const char *
VkInfoDialog::className()
{
  return "VkInfoDialog";
}

VkInfoDialog *_theInfoDialogManager = new VkInfoDialog("InfoDialogManager");




