/**
 *
 * VkPrefOption.C
 *
 * This file contains the implementation for option 
 * menus used in preference dialogs.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc.
 *
 **/

#include <VkPrefOption.h>

#ifndef lint
static char rcsid[] = "$Id: VkPrefOption.C,v 1.1 1995/01/23 10:07:45 toshok Exp $";
#endif /* lint */

VkPrefOption::VkPrefOption(const char *name, int numEntries) : VkPrefItem(name)
{
    labels = (char**)calloc(numEntries, sizeof(char*));
    buttons = (char*)calloc(numEntries, sizeof(Widget));
}

void
void
VkPrefOption::_instantiate(Widget parent)
{
    char *baseName = (char *)malloc(strlen(_name)+strlen("Base")+1);
    strcpy(baseName, _name);
    strcat(baseName, "Base");

    _baseWidget = XmCreateOptionMenu(parent,
				     baseName,
				     NULL,0);
}
