/**
 *
 * $Header: /tmp_mnt/net/bayhorse1/student/toshok/hungry/programming/misc/c++/libvk-0.8/libvk-Apr19-2243/RCS/VkProgram.C,v 1.1 1995/04/10 01:48:32 toshok Exp $
 * 
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc.
 * All Rights Reserved
 *
 **/

#include <Vk/VkProgram.h>
#include <stdlib.h>

VkProgram::VkProgram(const char *cmd, 
		     int killChildOnExit) : VkCallbackObject()
{
    _killChildOnExit = killChildOnExit;
    _cmd = strdup(cmd);
    _redirectIn = 0;
}

VkProgram::~VkProgram()
{
    free(_cmd);
}

VkSubProcess *
VkProgram::run()
{
    VkSubProcess *foo = new VkSubProcess(_cmd,
					 _killChildOnExit,
					 _redirectIn);

    foo->run();

    return foo;
}

void
VkProgram::redirectIn(int do_redirect)
{
    _redirectIn = do_redirect;
}

const char *const
VkProgram::exitCallback = "VkProgram::exitCallback";

const char *const
VkProgram::stdoutCallback = "VkProgram::stdoutCallback";

const char *const
VkProgram::stderrCallback = "VkProgram::stderrCallback";

