/**
 *
 * VkQuestionDialog.C
 *
 * This file contains the class implementation for the VkQuestionDialog
 * class.
 *
 * Chris Toshok
 * Copyright (C) 1994
 * The Hungry Programmers, Inc
 *
 **/

#ifndef lint
static char rcsid[] = "$Id: VkQuestionDialog.C,v 1.3 1995/02/15 17:42:13 toshok Exp $";
#endif /* lint */

#include <Vk/VkQuestionDialog.h>
#include <Vk/VkApp.h>
#include <string.h>
#include <iostream.h>

VkQuestionDialog::VkQuestionDialog(const char *name) : VkDialogManager(name)
{
  _dialogShellTitle = NULL;
  _okButton = True;
  _applyButton = False;
  _helpButton = False;
  _cancelButton = True;
}

Widget
VkQuestionDialog::createDialog(Widget parent)
{
  Widget dialogBox = XmCreateQuestionDialog(parent,
					    (char*)_name,
					    NULL,0);

  return dialogBox;
}

const char *
VkQuestionDialog::className()
{
  return "VkQuestionDialog";
}

VkQuestionDialog *_theQuestionDialogManager = new VkQuestionDialog("QuestionDialogManager");
